Bug 634931 - too many rpmlint errors and warnings
too many rpmlint errors and warnings
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cups (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Tim Waugh
qe-baseos-daemons
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-17 07:40 EDT by Alexander Todorov
Modified: 2011-05-19 10:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: cups-1.4.2-37.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:09:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpmlint-false.txt (false positives) (6.61 KB, text/plain)
2010-12-03 12:26 EST, Tim Waugh
no flags Details
rpmlint-fixes.txt (things to fix) (11.68 KB, text/plain)
2010-12-03 12:26 EST, Tim Waugh
no flags Details

  None (edit)
Description Alexander Todorov 2010-09-17 07:40:06 EDT
Description of problem:
rpmlint shows errors and warnings

Version-Release number of selected component (if applicable):
cups-1.4.2-35.el6.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1. run rpmlint -i *.rpm
2.
3.
  
Actual results (as shown by rpmlint):
cups.x86_64: W: obsolete-not-provided LPRng
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/es/class-added.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/set-printer-options-header.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/ja/printer-jobs-header.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/command.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/es/set-printer-options-trailer.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/ru/printers.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/eu/norestart.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/ja/printer-modified.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/de/users.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/ja/printer-configured.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/ja/add-rss-subscription.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/ru/printer-added.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/es/jobs-header.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/www/help/postscript-driver.html
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/de/samba-exported.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/ru/add-printer.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/www/help/translation.html
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/eu/pager.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/class-modified.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/eu/add-printer.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/es/subscription-added.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/de/class-modified.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/templates/printer-added.tmpl
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.

cups.x86_64: E: file-in-usr-marked-as-conffile /usr/share/cups/www/help/man-cupstestppd.html
A file in /usr is marked as being a configuration file. Store your conf files
in /etc/ instead.


... skip ....

cups.x86_64: E: non-standard-executable-perm /usr/lib/cups/filter/rastertolabel 0555L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

cups.x86_64: W: devel-file-in-non-devel-package /usr/share/cups/ppdc/epson.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

cups.x86_64: E: non-standard-executable-perm /usr/lib/cups/filter/commandtopclx 0555L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

cups.x86_64: E: non-standard-executable-perm /usr/bin/lprm.cups 0555L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

cups.x86_64: E: non-standard-executable-perm /usr/bin/cupstestppd 0555L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

cups.x86_64: E: non-standard-executable-perm /usr/lib/cups/backend/socket 0555L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

cups.x86_64: E: non-standard-executable-perm /usr/lib/cups/daemon/cups-deviced 0555L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

cups.x86_64: E: non-standard-executable-perm /usr/bin/lpq.cups 0555L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

cups.x86_64: E: non-standard-executable-perm /usr/lib/cups/filter/bannertops 0555L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

.... skip ....

1 packages and 0 specfiles checked; 689 errors, 17 warnings.
Comment 1 Tim Waugh 2010-09-17 08:04:46 EDT
Most/all of these are bogus as far as I can tell.

(This package did go through Package Wrangler, you know...)
Comment 2 Alexander Todorov 2010-09-17 08:17:21 EDT
I don't agree. 

For example: 
/usr/share/cups/www/help/man-cupstestppd.html

This is documentation file not config file. Should be marked appropriately. 

How about non standard permissions? Why use 555 instead of 755?
Comment 3 Tim Waugh 2010-09-17 09:06:21 EDT
(In reply to comment #2)
> /usr/share/cups/www/help/man-cupstestppd.html
> 
> This is documentation file not config file. Should be marked appropriately. 

This was intentionally changed to fix bug #441719 but perhaps more are marked than are necessary.

> How about non standard permissions? Why use 555 instead of 755?

CUPS uses the permissions bits to know whether it needs to drop privileges when running filters and backends.  Perhaps the 0200 bit ought to be set.

But things like this:

cups.x86_64: W: devel-file-in-non-devel-package /usr/share/cups/ppdc/epson.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

are incorrect.  It is not a development file.
Comment 6 Tim Waugh 2010-12-03 12:25:41 EST
I've analysed the rpmlint messages for *.x86_64.rpm and split them into false-positives and things to fix.
Comment 7 Tim Waugh 2010-12-03 12:26:10 EST
Created attachment 464617 [details]
rpmlint-false.txt (false positives)
Comment 8 Tim Waugh 2010-12-03 12:26:32 EST
Created attachment 464618 [details]
rpmlint-fixes.txt (things to fix)
Comment 9 Tim Waugh 2010-12-06 06:52:20 EST
Also:

cups.x86_64: E: non-readable /usr/sbin/cupsd 0500L

==> FIX

This is now being tracked in Fedora as bug #546004.
Comment 16 errata-xmlrpc 2011-05-19 10:09:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0715.html

Note You need to log in before you can comment on or make changes to this bug.